/**
 * <copyright>
 * </copyright>
 *
 * $Id: IndexValidator.java,v 1.1 2008-04-01 09:35:52 vmahe Exp $
 */
package orgomg.cwm.foundation.keysindexes.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.foundation.keysindexes.IndexedFeature;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.keysindexes.Index}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface IndexValidator {
	boolean validate();

	boolean validateIsPartitioning(boolean value);
	boolean validateIsSorted(boolean value);
	boolean validateIsUnique(boolean value);
	boolean validateIndexedFeature(EList<IndexedFeature> value);
	boolean validateSpannedClass(orgomg.cwm.objectmodel.core.Class value);
}
